/***
 * 
 * Felipe Brahm
 * Ayudante de Ctedra
 * Introduccin a la Programacin - IIC1103
 * Pontificia Universidad Catlica de Chile
 *
 * lebrahm <at> uc <punto> cl
 * http://felipebrahm.com
 *
 * (CC)2008-2010
 * 
 * */

import iic1103Package.*;

public class Matrices {

	public static void main(String[] args) {

		int[][] matriz = {{4,4,5,4},{4,4,4,4},{3,4,4,4},{8,4,1,4}};
		//int[][] matriz = {{6,6,6},{6,6,6},{7,7,7}};
		//int[][] matriz = {{1,2},{2,1}};
		
		Usuario.mensaje("filycol: " + filycol(4, matriz));
		Usuario.mensaje("diagonal: " + diagonal(4, matriz));

	}
	
	public static int filycol(int numero, int[][] matriz) {
		
		int filas = 0;
		
		for(int i = 0; i < matriz.length; ++i) {
			
			boolean seCumple = true;
			
			for(int j = 0; j < matriz[i].length; ++j) {
				
				if(matriz[i][j] != numero) {
					seCumple = false;
					break;
				}
				
			}
			
			if(seCumple)
				++filas;
			
		}
		
		int columnas = 0;
		
		for(int j = 0; j < matriz[0].length; ++j) {
			
			boolean seCumple = true;
			
			for(int i = 0; i < matriz.length; ++i) {
				
				if(matriz[i][j] != numero) {
					seCumple = false;
					break;
				}
				
			}
			
			if(seCumple)
				++columnas;
			
		}
		
		return filas + columnas;
		
	}
	
	public static int diagonal(int numero, int[][] matriz) {

		int diag = 0;
		int n1 = 0, n2 = 0;
		
		for(int i = 0; i < matriz.length; ++i) {
			if(matriz[i][i] == numero)
				++n1;
			if(matriz[i][matriz.length-1 - i] == numero)
				++n2;
		}
		
		if(n1 == matriz.length)
			++diag;
		if(n2 == matriz.length)
			++diag;
		
		return diag;
		
	}

}